# Canned Food

This mod introduces a number of canned foods to add some pleasant variety into the available
assortment of foods and item uses. It relies on the glass bottle from the default vessels mod,
giving this otherwise little used item a considerable purpose.

All products are defined by shapless recipes, and yield items which can be placed in the
real world. Although the cans with non-symmetrical items on labels look good only from
half of the angles.

The recipes follow the scheme of "glass bottle" + "produce" × "amount" [ + "sugar" ]

The amount of ingredients differs, roughly based on the original nutritional value of
the items, so that you'd need more less nutricious items to fill a mason jar.

The default 4 recipes do not require sugar, even though 3 of those are jams and probably 
would taste horribly IRL without sugar. With 5.0, an extra recipe was added for "wild"
blueberry (the berries that reappear on cubic bushes), making it 5 default recipes in total:
* Apple jam
* Canned brown mushrooms
* Rose petal jam
* Dandelion jam
* Wild blueberry jam

This is to guarantee that they will always be available in vanilla game. As you can notice,
canning also turns two othwerise inedible objects (in game - such jams do exist IRL) into food.

Ethereal and farming (redo) mods introduce items that can be canned, too. 
Some of them (jams) require sugar as the third ingredient. So some of them require both mods.
There also is a jar of honey, which requires honey from mobs/mobs_animal mod.

![The Riches Untold](https://github.com/h-v-smacker/canned_food/blob/master/inv_screenshot.png)

The mason jars with canned food can be put into vessel storage shelves. Or put on display 
just like the glass vessels can, and destroyed by hand (retreiving the item).

For some of the varieties this operation isn't just interior decoration. A number of foods
will turn into a "better" variety if left in a dark (10 or less light level) place on wooden
shelves. For example, canned tomatoes will become marinated tomatoes. This operation rewards
the player with twice the nutritional amount compared to the regular version, and the 
resulting products are marked by a red&white checkered paper cover over the lid. And by 
"left on wooden shelf" we mean quite literally — place them on a wooden surface in a dark place.
Basically, build a cellar.

The benefit of canning the food is higher nutritional value (since shelf life is irrelevant
in minetest game, where food never goes bad), this is a "reward" for applying the effort
to obtain the glass vessels. When the contents of the jar are consumed, 
the player is left with an empty glass bottle which can be reused.